cdac.medinfo.sdk.hl7282.utils

## Enum EnumDataType

- java.lang.Object
- - java.lang.Enum<EnumDataType>
  - - cdac.medinfo.sdk.hl7282.utils.EnumDataType

- All Implemented Interfaces:
    IDataTypeKey, java.io.Serializable, java.lang.Comparable<EnumDataType>

      public enum EnumDataType
      extends java.lang.Enum<EnumDataType>
      implements IDataTypeKey

  This enum represents the Data Type name for HL7 DataType.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HL7_DT_AD` constant representing Data type AD
    `HL7_DT_AUI` constant representing Data type AUI
    `HL7_DT_CCD` constant representing Data type CCD
    `HL7_DT_CCP` constant representing Data type CCP
    `HL7_DT_CD` constant representing Data type CD
    `HL7_DT_CF` constant representing Data type CF
    `HL7_DT_CNE` constant representing Data type CNE
    `HL7_DT_CNN` constant representing Data type CNN
    `HL7_DT_CP` constant representing Data type CP
    `HL7_DT_CQ` constant representing Data type CQ
    `HL7_DT_CSU` constant representing Data type CSU
    `HL7_DT_CWE` constant representing Data type CWE
    `HL7_DT_CX` constant representing Data type CX
    `HL7_DT_DDI` constant representing Data type DDI
    `HL7_DT_DIN` constant representing Data type DIN
    `HL7_DT_DLD` constant representing Data type DLD
    `HL7_DT_DLN` constant representing Data type DLN
    `HL7_DT_DLT` constant representing Data type DLT
    `HL7_DT_DR` constant representing Data type DR
    `HL7_DT_DT` constant representing Data type DT
    `HL7_DT_DTM` constant representing Data type DTM
    `HL7_DT_DTN` constant representing Data type DTN
    `HL7_DT_ED` constant representing Data type ED
    `HL7_DT_EI` constant representing Data type EI
    `HL7_DT_EIP` constant representing Data type EIP
    `HL7_DT_ERL` constant representing Data type ERL
    `HL7_DT_FC` constant representing Data type FC
    `HL7_DT_FN` constant representing Data type FN
    `HL7_DT_FT` constant representing Data type FL
    `HL7_DT_GTS` constant representing Data type GTS
    `HL7_DT_HD` constant representing Data type HD
    `HL7_DT_ICD` constant representing Data type ICD
    `HL7_DT_ID` constant representing Data type ID
    `HL7_DT_IS` constant representing Data type IS
    `HL7_DT_JCC` constant representing Data type JCC
    `HL7_DT_MA` constant representing Data type MA
    `HL7_DT_MO` constant representing Data type MO
    `HL7_DT_MOC` constant representing Data type MOC
    `HL7_DT_MOP` constant representing Data type MOP
    `HL7_DT_MSG` constant representing Data type MSG
    `HL7_DT_NA` constant representing Data type NA
    `HL7_DT_NDL` constant representing Data type NDL
    `HL7_DT_NM` constant representing Data type NM
    `HL7_DT_NR` constant representing Data type NR
    `HL7_DT_OCD` constant representing Data type OCD
    `HL7_DT_OG` constant representing Data type NA
    `HL7_DT_OSP` constant representing Data type OSP
    `HL7_DT_PIP` constant representing Data type PIP
    `HL7_DT_PL` constant representing Data type PL
    `HL7_DT_PLN` constant representing Data type PLN
    `HL7_DT_PPN` constant representing Data type PPN
    `HL7_DT_PRL` constant representing Data type PRL
    `HL7_DT_PT` constant representing Data type PT
    `HL7_DT_PTA` constant representing Data type PTA
    `HL7_DT_QIP` constant representing Data type QIP
    `HL7_DT_QSC` constant representing Data type QSC
    `HL7_DT_RCD` constant representing Data type RCD
    `HL7_DT_RFR` constant representing Data type RFR
    `HL7_DT_RI` constant representing Data type RI
    `HL7_DT_RMC` constant representing Data type RMC
    `HL7_DT_RP` constant representing Data type RP
    `HL7_DT_RPT` constant representing Data type RPT
    `HL7_DT_SAD` constant representing Data type SAD
    `HL7_DT_SCV` constant representing Data type SCV
    `HL7_DT_SI` constant representing Data type SI
    `HL7_DT_SN` constant representing Data type SN
    `HL7_DT_SNM` constant representing Data type SNM
    `HL7_DT_SPD` constant representing Data type SPD
    `HL7_DT_SRT` constant representing Data type SRT
    `HL7_DT_ST` constant representing Data type ST
    `HL7_DT_TM` constant representing Data type TM
    `HL7_DT_TX` constant representing Data type TX
    `HL7_DT_UN` constant representing Data type UN
    `HL7_DT_UVC` constant representing Data type UVC
    `HL7_DT_VH` constant representing Data type VH
    `HL7_DT_VID` constant representing Data type VID
    `HL7_DT_VR` constant representing Data type VR
    `HL7_DT_WVI` constant representing Data type WVI
    `HL7_DT_WVS` constant representing Data type WVS
    `HL7_DT_XAD` constant representing Data type XAD
    `HL7_DT_XCN` constant representing Data type XCN
    `HL7_DT_XON` constant representing Data type XON
    `HL7_DT_XPN` constant representing Data type XPN
    `HL7_DT_XTN` constant representing Data type XTN

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns the String value of this enum.
    `static EnumDataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HL7_DT_AD

          public static final EnumDataType HL7_DT_AD

      constant representing Data type AD

    - #### HL7_DT_AUI

          public static final EnumDataType HL7_DT_AUI

      constant representing Data type AUI

    - #### HL7_DT_CCD

          public static final EnumDataType HL7_DT_CCD

      constant representing Data type CCD

    - #### HL7_DT_CCP

          public static final EnumDataType HL7_DT_CCP

      constant representing Data type CCP

    - #### HL7_DT_CD

          public static final EnumDataType HL7_DT_CD

      constant representing Data type CD

    - #### HL7_DT_CF

          public static final EnumDataType HL7_DT_CF

      constant representing Data type CF

    - #### HL7_DT_CNE

          public static final EnumDataType HL7_DT_CNE

      constant representing Data type CNE

    - #### HL7_DT_CNN

          public static final EnumDataType HL7_DT_CNN

      constant representing Data type CNN

    - #### HL7_DT_CP

          public static final EnumDataType HL7_DT_CP

      constant representing Data type CP

    - #### HL7_DT_CQ

          public static final EnumDataType HL7_DT_CQ

      constant representing Data type CQ

    - #### HL7_DT_CSU

          public static final EnumDataType HL7_DT_CSU

      constant representing Data type CSU

    - #### HL7_DT_CWE

          public static final EnumDataType HL7_DT_CWE

      constant representing Data type CWE

    - #### HL7_DT_CX

          public static final EnumDataType HL7_DT_CX

      constant representing Data type CX

    - #### HL7_DT_DDI

          public static final EnumDataType HL7_DT_DDI

      constant representing Data type DDI

    - #### HL7_DT_DIN

          public static final EnumDataType HL7_DT_DIN

      constant representing Data type DIN

    - #### HL7_DT_DLD

          public static final EnumDataType HL7_DT_DLD

      constant representing Data type DLD

    - #### HL7_DT_DLN

          public static final EnumDataType HL7_DT_DLN

      constant representing Data type DLN

    - #### HL7_DT_DLT

          public static final EnumDataType HL7_DT_DLT

      constant representing Data type DLT

    - #### HL7_DT_DR

          public static final EnumDataType HL7_DT_DR

      constant representing Data type DR

    - #### HL7_DT_DT

          public static final EnumDataType HL7_DT_DT

      constant representing Data type DT

    - #### HL7_DT_DTM

          public static final EnumDataType HL7_DT_DTM

      constant representing Data type DTM

    - #### HL7_DT_DTN

          public static final EnumDataType HL7_DT_DTN

      constant representing Data type DTN

    - #### HL7_DT_ED

          public static final EnumDataType HL7_DT_ED

      constant representing Data type ED

    - #### HL7_DT_EI

          public static final EnumDataType HL7_DT_EI

      constant representing Data type EI

    - #### HL7_DT_EIP

          public static final EnumDataType HL7_DT_EIP

      constant representing Data type EIP

    - #### HL7_DT_ERL

          public static final EnumDataType HL7_DT_ERL

      constant representing Data type ERL

    - #### HL7_DT_FC

          public static final EnumDataType HL7_DT_FC

      constant representing Data type FC

    - #### HL7_DT_FT

          public static final EnumDataType HL7_DT_FT

      constant representing Data type FL

    - #### HL7_DT_FN

          public static final EnumDataType HL7_DT_FN

      constant representing Data type FN

    - #### HL7_DT_GTS

          public static final EnumDataType HL7_DT_GTS

      constant representing Data type GTS

    - #### HL7_DT_HD

          public static final EnumDataType HL7_DT_HD

      constant representing Data type HD

    - #### HL7_DT_ICD

          public static final EnumDataType HL7_DT_ICD

      constant representing Data type ICD

    - #### HL7_DT_ID

          public static final EnumDataType HL7_DT_ID

      constant representing Data type ID

    - #### HL7_DT_IS

          public static final EnumDataType HL7_DT_IS

      constant representing Data type IS

    - #### HL7_DT_JCC

          public static final EnumDataType HL7_DT_JCC

      constant representing Data type JCC

    - #### HL7_DT_MA

          public static final EnumDataType HL7_DT_MA

      constant representing Data type MA

    - #### HL7_DT_MO

          public static final EnumDataType HL7_DT_MO

      constant representing Data type MO

    - #### HL7_DT_MOC

          public static final EnumDataType HL7_DT_MOC

      constant representing Data type MOC

    - #### HL7_DT_MOP

          public static final EnumDataType HL7_DT_MOP

      constant representing Data type MOP

    - #### HL7_DT_MSG

          public static final EnumDataType HL7_DT_MSG

      constant representing Data type MSG

    - #### HL7_DT_NA

          public static final EnumDataType HL7_DT_NA

      constant representing Data type NA

    - #### HL7_DT_NDL

          public static final EnumDataType HL7_DT_NDL

      constant representing Data type NDL

    - #### HL7_DT_NM

          public static final EnumDataType HL7_DT_NM

      constant representing Data type NM

    - #### HL7_DT_NR

          public static final EnumDataType HL7_DT_NR

      constant representing Data type NR

    - #### HL7_DT_OCD

          public static final EnumDataType HL7_DT_OCD

      constant representing Data type OCD

    - #### HL7_DT_OG

          public static final EnumDataType HL7_DT_OG

      constant representing Data type NA

    - #### HL7_DT_OSP

          public static final EnumDataType HL7_DT_OSP

      constant representing Data type OSP

    - #### HL7_DT_PIP

          public static final EnumDataType HL7_DT_PIP

      constant representing Data type PIP

    - #### HL7_DT_PL

          public static final EnumDataType HL7_DT_PL

      constant representing Data type PL

    - #### HL7_DT_PLN

          public static final EnumDataType HL7_DT_PLN

      constant representing Data type PLN

    - #### HL7_DT_PPN

          public static final EnumDataType HL7_DT_PPN

      constant representing Data type PPN

    - #### HL7_DT_PRL

          public static final EnumDataType HL7_DT_PRL

      constant representing Data type PRL

    - #### HL7_DT_PT

          public static final EnumDataType HL7_DT_PT

      constant representing Data type PT

    - #### HL7_DT_PTA

          public static final EnumDataType HL7_DT_PTA

      constant representing Data type PTA

    - #### HL7_DT_QIP

          public static final EnumDataType HL7_DT_QIP

      constant representing Data type QIP

    - #### HL7_DT_QSC

          public static final EnumDataType HL7_DT_QSC

      constant representing Data type QSC

    - #### HL7_DT_RCD

          public static final EnumDataType HL7_DT_RCD

      constant representing Data type RCD

    - #### HL7_DT_RFR

          public static final EnumDataType HL7_DT_RFR

      constant representing Data type RFR

    - #### HL7_DT_RI

          public static final EnumDataType HL7_DT_RI

      constant representing Data type RI

    - #### HL7_DT_RMC

          public static final EnumDataType HL7_DT_RMC

      constant representing Data type RMC

    - #### HL7_DT_RP

          public static final EnumDataType HL7_DT_RP

      constant representing Data type RP

    - #### HL7_DT_RPT

          public static final EnumDataType HL7_DT_RPT

      constant representing Data type RPT

    - #### HL7_DT_SAD

          public static final EnumDataType HL7_DT_SAD

      constant representing Data type SAD

    - #### HL7_DT_SCV

          public static final EnumDataType HL7_DT_SCV

      constant representing Data type SCV

    - #### HL7_DT_SI

          public static final EnumDataType HL7_DT_SI

      constant representing Data type SI

    - #### HL7_DT_SN

          public static final EnumDataType HL7_DT_SN

      constant representing Data type SN

    - #### HL7_DT_SNM

          public static final EnumDataType HL7_DT_SNM

      constant representing Data type SNM

    - #### HL7_DT_SPD

          public static final EnumDataType HL7_DT_SPD

      constant representing Data type SPD

    - #### HL7_DT_SRT

          public static final EnumDataType HL7_DT_SRT

      constant representing Data type SRT

    - #### HL7_DT_ST

          public static final EnumDataType HL7_DT_ST

      constant representing Data type ST

    - #### HL7_DT_TM

          public static final EnumDataType HL7_DT_TM

      constant representing Data type TM

    - #### HL7_DT_TX

          public static final EnumDataType HL7_DT_TX

      constant representing Data type TX

    - #### HL7_DT_UN

          public static final EnumDataType HL7_DT_UN

      constant representing Data type UN

    - #### HL7_DT_UVC

          public static final EnumDataType HL7_DT_UVC

      constant representing Data type UVC

    - #### HL7_DT_VH

          public static final EnumDataType HL7_DT_VH

      constant representing Data type VH

    - #### HL7_DT_VID

          public static final EnumDataType HL7_DT_VID

      constant representing Data type VID

    - #### HL7_DT_VR

          public static final EnumDataType HL7_DT_VR

      constant representing Data type VR

    - #### HL7_DT_WVI

          public static final EnumDataType HL7_DT_WVI

      constant representing Data type WVI

    - #### HL7_DT_WVS

          public static final EnumDataType HL7_DT_WVS

      constant representing Data type WVS

    - #### HL7_DT_XAD

          public static final EnumDataType HL7_DT_XAD

      constant representing Data type XAD

    - #### HL7_DT_XCN

          public static final EnumDataType HL7_DT_XCN

      constant representing Data type XCN

    - #### HL7_DT_XON

          public static final EnumDataType HL7_DT_XON

      constant representing Data type XON

    - #### HL7_DT_XPN

          public static final EnumDataType HL7_DT_XPN

      constant representing Data type XPN

    - #### HL7_DT_XTN

          public static final EnumDataType HL7_DT_XTN

      constant representing Data type XTN

  - ### Method Detail

    - #### values

          public static EnumDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumDataType c : EnumDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumDataType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the String value of this enum.
      Specified by:
        `getValue` in interface `IDataTypeKey`
      Returns:
        String - string value of EnumDataType on which it is called.